VisualEditor: Expose build number
Closed, ResolvedPublic

Description

Quite often we get bug reports for issues that have been recently fixed but not deployed to the smaller wikis.

It would be very useful if we had build numbers that we could access (e.g. ve.version) in the client so we could tell quickly how out of date the deployed code is before we waste time debugging an issue someone else has already fixed.


Version: unspecified
Severity: enhancement

bzimport set Reference to bz53050.
Esanders created this task.Via LegacyAug 19 2013, 4:36 PM
gerritbot added a comment.Via ConduitAug 29 2013, 10:57 PM

Change 81877 had a related patch set uploaded by Esanders:
Expose version information in the client

https://gerrit.wikimedia.org/r/81877

gerritbot added a comment.Via ConduitAug 30 2013, 6:53 PM

Change 81877 merged by jenkins-bot:
Expose version information in the client

https://gerrit.wikimedia.org/r/81877

Whatamidoing-WMF added a comment.Via ConduitSep 13 2013, 9:20 PM

This isn't working. When I click on "Beta" to see this, it says "Version false", with a link to https://en.wikipedia.org/w/false (from userspace) or https://en.wikipedia.org/wiki/false (from article space).

Esanders added a comment.Via ConduitSep 13 2013, 9:23 PM

Yes, there's an issue with our deployment process which prevents it from working ATM. We're working on a fix.

gerritbot added a comment.Via ConduitSep 16 2013, 3:55 PM

Change 84334 had a related patch set uploaded by Esanders:
Hide version info if not available

https://gerrit.wikimedia.org/r/84334

gerritbot added a comment.Via ConduitSep 18 2013, 1:10 AM

Change 84334 merged by jenkins-bot:
Hide version info if not available

https://gerrit.wikimedia.org/r/84334

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.